openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SRET_INDEX_INSTALLATION:
    post:
      tags:
      - SRAD
      operationId: /rfc/SRET_INDEX_INSTALLATION
      requestBody:
        content:
          application/json:
            schema:
              properties:
                DATAPATH:
                  type: string
                  format: byte
                SEARCHENG:
                  type: string
                  format: byte
                IDXSTORAGETAB:
                  type: array
                  items:
                    type: object
                    properties:
                      IDSTORID:
                        type: string
                        format: byte
                        description: Logical index key (hexadecimal)
                      LANGU:
                        type: string
                        format: byte
                        description: Language Acc. to ISO 639 - for RFC Type RAW
                      STATUSID:
                        type: integer
                        format: int64
                        description: Return code
                      COUNTER:
                        type: integer
                        format: int64
                        description: IndexStorageID counter (Index)
              required:
              - DATAPATH
              - SEARCHENG
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  RCODE:
                    type: string
                    maxLength: 4
                  IDXSTORAGETAB:
                    type: array
                    items:
                      type: object
                      properties:
                        IDSTORID:
                          type: string
                          format: byte
                          description: Logical index key (hexadecimal)
                        LANGU:
                          type: string
                          format: byte
                          description: Language Acc. to ISO 639 - for RFC Type RAW
                        STATUSID:
                          type: integer
                          format: int64
                          description: Return code
                        COUNTER:
                          type: integer
                          format: int64
                          description: IndexStorageID counter (Index)
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
